/* STYLE */
input[type="range"] {
    -webkit-appearance: none;
    /* Supprime le style par défaut */
    width: 100%;
    background: linear-gradient(to right, #027580 50%, #ddd 50%);
    /* Couleur remplie à 50% */
    height: 1em;
    /* Hauteur de la barre */
    border-bottom-left-radius: 1em;
    border-bottom-right-radius: 1em;
    /* Coins arrondis */
    outline: none;
    cursor: default;
    margin-top: 2em;
}

/* Supprimer le rond (thumb) */
input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    display: none;
    /* Masquer le thumb */
}

/* Pour Firefox */
input[type="range"]::-moz-range-thumb {
    display: none;
}


main {
    width: 95.5%;article:nth-child(1)
    margin: 0 auto;
}


main  section {
    width: 85.5%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 1em;
}

/* Article 1 */
main section article:nth-child(1) {
    display: flex;
    flex-direction: column;
    gap: 2em;
    margin-top: 3.5em;
}

/* main section article:nth-child(1) picture:nth-child(1) p {
    font-size: 1.7em;
    font-weight: 600;
} */


main section article:nth-child(1) picture:nth-child(3) {
    display: flex;
    flex-direction: column;
    gap: 0.5em;
}

main section article:nth-child(1) picture:nth-child(3) p:first-child {
    font-weight: 700;
    font-size: 1.1em;
}


/* Article 2 */

/* Article 2 */
main #droppingId {
    margin-top: 2.8em;
    display: flex;
    flex-direction: column;
    gap: 1.5em;
}

main #droppingId .row-fig:first-child {
    /* background: red; */
    display: flex;
    flex-direction: column;
    gap: 1.3em;
    padding-top: 1em;
    padding-bottom: 0;
    border-bottom: none;
}

main #droppingId .row-fig {
    /* background: red; */
    display: flex;
    flex-direction: column-reverse;
    gap: 1.3em;
    padding-bottom: 2.5em;
    border-bottom: 1px solid rgb(233, 233, 233);
}

main #droppingId .dropping {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 1.5em;

}

.add-fig-icon {
    display:
        flex;
    justify-content: end;
}

main #droppingId .dropping figure {
    background: #F5F5F5;
    border: 0.5px solid #A6A3A3;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 31em;
    height: 23em;
    position: relative;
    overflow: hidden;
    border-radius: 2em;
}

main #droppingId .dropping figure:first-child picture:first-child {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 9999;
    margin-top: -3.8em;
    width: max-content;
    margin-left: -2.2em;
}

main #droppingId .dropping figure picture:first-child img {
    width: 100%;
    height: 13em;
    object-fit: cover;
    padding: 0;
}

main #droppingId .dropping figure:last-child picture:first-child {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 9999;
    margin-top: -3.2em;
    margin-right: -1.8em;
    width: max-content;

}

main #droppingId p {
    cursor: default;
}

.btn-add {
    background: rgb(0, 100, 100);
    color: #fff;
    padding: 1em 1.5em;
    cursor: pointer;
    font-style: normal;
    border-radius: 0.8em;
    font-size: 0.9em;
}

.btn-remove {
    background: rgb(185, 22, 22);
    font-size: 1.3em;
    padding: 0.3em 0.4em;
    border-radius: 50%;
    cursor: pointer;
    color: #fff;
}

main #droppingId .dropping figure:last-child picture:first-child img {
    width: 100%;
    height: 10em;

    object-fit: cover;
    padding: 0;
}

main #droppingId .dropping figure picture:nth-child(2) {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1.5em;
    text-align: center;
}

/* main #droppingId div figure picture:nth-child(2) img {
    width: 4em;
    height: 4em;
    object-fit: contain;
} */

main #droppingId div figure picture:nth-child(2) p {
    font-size: 1.1em;
    line-height: 1.5em;
}


/* FORM */
main section form article:nth-child(2) {
    margin-top: 2em;
}


main section form article:nth-child(2) {
    /* background: green; */
    display: flex;
    flex-direction: column;
    gap: 3em;
}

main section  form article:nth-child(2) div:nth-child(1) {
    margin-top: 2em;

}

main section  form article:nth-child(2) div:where(:nth-child(1), :nth-child(2)) label span {
    position: absolute;
    font-size: 0.9em;
    font-weight: 400;
    margin-top: -0.7em;
    margin-left: 1.5em;
    background: #fff;
    padding-inline: 0.4em;
    cursor: text;
}

/* END */

#dureetemps {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    gap: 1.5em;
    /* margin-top: 15px; */
}



main section form article:nth-child(2) div:nth-child(2) label {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-inline-end: 1.1em;
    gap: 1.5em;
}


main section  form article:nth-child(2) div:nth-child(2) label span {
    margin-top: -0.1em;

}

main section form article:nth-child(2) div:where(:nth-child(1), :nth-child(2), :nth-child(3)) label {
    outline: 1px solid #949494;
    width: 100%;
    border-radius: 1.2em;
    display: flex;
    flex-direction: column;
    gap: 0;
    position: relative;

}

main section form article:nth-child(2) div:where(:nth-child(1), :nth-child(2), :nth-child(3)) label:focus-within {
    outline: 1px solid teal;
}

main section form article:nth-child(2) div:where(:nth-child(1), :nth-child(2), :nth-child(3)) label:focus-within .styleSpan {
    color: teal;
}


main section  form article:nth-child(2) div:where(:nth-child(1), :nth-child(2), :nth-child(3)) label span {
    position: absolute;
    font-size: 0.9em;
    font-weight: 400;
    margin-top: -0.7em;
    margin-left: 1.5em;
    background: #fff;
    padding-inline: 0.4em;
    cursor: text;
}


/* #duree {
    background: teal !important;
} */

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* style input */
.label {
    position: relative;
}

.label-span {
    transition: 0.3s ease;
    margin-left: 1.1em !important;
    margin-top: 0;
    /* Position de départ */
}

/* .label:focus-within .label-span,
.label .durees:not(:placeholder-shown)+.label-span {
    margin-top: -4.8em;
    margin-left: 1.5em !important;
    color: teal;
} */

.label:focus-within {
    outline: 1px solid teal;
}

.label-span {
    margin-top: -5em !important;
}

.label:focus-within .label-span {
    color: #027580;
}

.svg {
    transition: fill 0.2s ease;
    fill: #A6A3A3;
}

.label:focus-within .svg {
    fill: teal !important;
}

/* end */




main section form article:nth-child(2) div:where(:nth-child(1), :nth-child(2), :nth-child(3)) label :is(input, textarea) {
    width: 100%;
    height: 5em;
    border: none;
    outline: none;
    padding: 1.5em;
    border-radius: 1.2em;
    font-family: 'montserrat' !important;
    resize: none;
    background: none;
}

main section form article:nth-child(2) div label textarea {
    height: 13em;
}

#sub {
    display: flex;
    justify-content: end;
    margin-bottom: -2.5em;
    font-size: 1em;
    color: #A6A3A3;
    padding: 0.5em;
}

#duree {
    padding: 1.5em;
    width: 100%;
    border-radius: 1.2em;
    background: none;
    margin-left: 1em;
}


main section form article:nth-child(2) div:nth-child(4) {
    display: flex;
    flex-direction: column;
    gap: 1em;
}

/* main section form article:nth-child(2) div:nth-child(4) picture:first-child {
    display: flex;
    flex-direction: column;
    gap: 1em;
} */


main section form article:nth-child(2) div:nth-child(4) picture:first-child p:nth-child(1) {
    font-weight: 800;
    font-size: 1.4em;
}

/* main section form article:nth-child(2) div:nth-child(4) picture:nth-child(2) {
    padding: 1.5em;
    display: flex;
    flex-direction: column;
    gap: 1em;
    border: 0.5px solid #81BAC0;
    border-radius: 1.2em; */
    margin-top: 1.5em;
}

main section form article:nth-child(2) div:nth-child(4) picture:nth-child(2) label {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 2em;
    width: max-content;
}


/* 
main section form article:nth-child(2) div:nth-child(4) picture:last-child p {
    color: #027580;
    font-weight: 600;
    text-decoration: underline;
    text-underline-offset: 6px;
    float: right;
    cursor: pointer;
} */

/* main section form article div:nth-child(5) picture {
    display: flex;
    flex-direction: row;
    gap: 1em;
    justify-content: end;
    border-top: 1px solid #d9d9d9;
    padding-top: 2em;
} */

/* select */

   
.select {
    outline: none;
    border: none;
    padding: 1.2em;
    height: 4.5em;
    width: 100%;
    font-family: 'montserrat';
    text-transform: capitalize;
    font-size: 1em;
    cursor: pointer;
  }
  
  /* The container must be positioned relative: */
  .custom-select {
    position: relative;
    font-family: 'montserrat';
    width: 100%;
  }
  
  .label-select {
    height: max-content !important;
    padding: 0 !important;
    padding-top: 0 !important;
  }
  
  .custom-select select {
    display: none;
    /*hide original SELECT element: */
  }
  
  .select-selected {
    color: #000 !important;
    height: 4.5em;
    width: 100% !important;
    border-radius: 1em;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 1.5em;
    outline: 1px solid #949494;
    padding-left: 2em;
  
  }
  
  /* Style the arrow inside the select element: */
  .select-selected:after {
    position: absolute;
    content: "";
    top: 31px;
    right: 15.1px;
    width: 0;
    height: 0;
    border: 8px solid transparent;
    border-color: #A6A3A3 transparent transparent transparent;
  }
  
  .select-arrow-active {
    color: teal !important;
    outline: 1px solid teal;
  
  }
  
  .select-arrow-active>.label-select {
    background: teal !important;
  }
  
  /* Point the arrow upwards when the select box is open (active): */
  .select-selected.select-arrow-active:after {
    border-color: transparent transparent teal transparent;
    top: 21px;
  }
  
  /* style the items (options), including the selected item: */
  .select-items div,
  .select-selected {
    color: #000;
    cursor: pointer;
  }
  
  /* Style items (options): */
  .select-items {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    padding: 0;
    margin-top: 1em;
    z-index: 99;
  }
  
  /* Hide the items when the select box is closed: */
  .select-hide {
    display: none;
    background-color: none;
    font-size: 1em;
    max-height: max-content;
    margin-bottom: -5em;
  }
  
  .select-items div:hover,
  .same-as-selected {
    background-color: #dadada;
  }
  
  .select-items div {
    padding: 1em;
    display: flex;
    flex-direction: column;
    /* justify-content: center; */
    background: #fff;
    width: 100%;
    border: 1px solid #949494;
  
  }
  
  .select-items div:first-child {
    border-top-left-radius: 0.5em !important;
    border-top-right-radius: 0.5em !important;
    margin-top: -0.1em !important;
    /* border-bottom: none; */
  
    border-bottom: 1px solid #e6e6e6;
  
  }
  
  
  .select-items div:last-child {
    border-bottom-left-radius: 0.5em !important;
    border-bottom-right-radius: 0.5em !important;
    border-top: none;
  
  }
  
  .selected-background {
    background-color: teal !important;
    color: #fff !important;
    /* Choisissez la couleur que vous souhaitez */
  }